#include "stdafx.h"
#include "LocalStorage.h"


namespace tipbase
{

LocalStorageManager::LocalStorageManager(ILocalStorageTool* pImpl)
{
	m_Tool = pImpl;
	if (!m_Tool->IsValid())
		m_Tool->Validate();
}

LocalStorageManager::~LocalStorageManager()
{
	if (m_Tool)	
		delete m_Tool;
	m_Tool = NULL;
}

BOOL LocalStorageManager::IsValid()
{ 
	return m_Tool->IsValid(); 
}

BOOL LocalStorageManager::Validate()
{ 
	return m_Tool->Validate(); 
}

int LocalStorageManager::GetLastError()
{ 
	return m_Tool->GetLastError(); 
}

ULONG LocalStorageManager::Load(LPCTSTR keyName, LPCTSTR subKey, char* pData, ULONG size)
{ 
	return m_Tool->Load(keyName, subKey, pData, size); 
}

ULONG LocalStorageManager::Save(LPCTSTR keyName, LPCTSTR subKey, const char* pData, ULONG size)
{ 
	return m_Tool->Save(keyName, subKey, pData, size); 
}

BOOL LocalStorageManager::DeleteKey(LPCTSTR keyName)
{
	return m_Tool->DeleteKey(keyName);
}


};